Loading...
Searching...
No Matches
detail::members_handler Struct Reference

`#include <attr.hpp>`

Inheritance diagram for detail::members_handler:
[legend]

## Static Public Member Functions

template<typename TDummy>
static void | set_value (RelationMemberListBuilder &, const TDummy &) noexcept
static void | set_value (RelationMemberListBuilder &builder, const attr::_member &member)
template<typename TIterator>
static void | set_value (RelationMemberListBuilder &builder, const attr::detail::members_from_iterator_pair< TIterator > &members)

## Member Function Documentation

## set_value() [1/3]

template<typename TDummy>

void detail::members_handler::set_value | ( | RelationMemberListBuilder & | ,
|  | const TDummy & | )

inlinestaticnoexcept

## set_value() [2/3]

void detail::members_handler::set_value | ( | RelationMemberListBuilder & | builder,
|  | const attr::_member & | member )

inlinestatic

## set_value() [3/3]

template<typename TIterator>

void detail::members_handler::set_value | ( | RelationMemberListBuilder & | builder,
|  | const attr::detail::members_from_iterator_pair< TIterator > & | members )

inlinestatic

The documentation for this struct was generated from the following file:

- include/osmium/builder/attr.hpp